<!DOCTYPE html>
<html>
    <head>
        <title>Sample Experiment</title>
        <meta name="viewport" content="width=device-width,height=device-height,initial-scale=1.0" />
        <meta charset="utf-8"/>
        <style>
         .exp {
             display : none;
         }
        </style>
    </head>
    <body>
        <div class="exp" title="Sample Experiment">
            <div class="longt" >
                <h1 class="hlongt">Introduction to Sample Experiment</h1>
            </div>
            
            <div class="preamble">
                <div class="art txt" title="Estimation">
                    <div class="longt">
                        <h2 class="hlongt">Estimated Time</h2>
                    </div>
                    <div class="art-body">
                        <p>1 hour</p>
                    </div>
                </div>

                <div class="art txt" title="Prerequisites">
                    <div class="longt">
                        <h2 class="hlongt">Prerequisites of the Experiment</h2>
                    </div>
                    <div class="art-body">
                        <ul>
                            <li>Basic knowledge on <a href="https://en.wikipedia.org/wiki/Sorting_algorithm">sorting</a>, a <a href="https://en.wikipedia.org/wiki/Binary_tree">binary tree</a> and a <a href="https://en.wikipedia.org/wiki/Logarithm">logarithm</a>
                            </li>
                            <li>And above all, a curiosity
                                to learn and explore..!
                            </li>
                        </ul>
                    </div>
                </div>

                <div class="art txt" title="Overview">
                    <div class="longt">
                        <h2 class="hlongt">Overview of the Experiment</h2>
                    </div>
                    <div class="art-body">
                        <p>The experiment features a series
                            of modules with video lectures,
                            hands-on practice exercises and
                            quizzes to self analyze.
                        </p>
                    </div>
                </div>
                
                <div class="art txt" title="Learning Objectives">
                    <div class="longt">
                        <h2 class="hlongt">Learning Objectives of the Experiment</h2>
                    </div>
                    <div class="art-body">
                        <p>In this experiment, you will be
                            able to do the following:</p>
                        <ul>
                            <li>Demonstrate understanding of
                                the concepts of inserting
                                elements into the heap,
                                extract max operation and
                                the rebuild operation in
                                heapsort as key operations
                                in heap sort.
                            </li>

                            <li>Given an unsorted array of
                                numbers, generate a sorted
                                array of numbers by applying
                                heapsort.
                            </li>
                        </ul>
                    </div>
                </div>

                <div class="art video" title="Experiment Introduction">
                    <div class="longt">
                        <h2 class="hlongt">A Short Introduction to Experiment(Inline Youtube Video)</h2>
                    </div>
                    <div class="art-body">
                        <video src="https://www.youtube.com/embed/2DmK_H7IdTo"></video>
                    </div>            
                </div>
            </div>
            
            <div class="lu" title="Pre-test">
                <div class="longt" >
                    <h1 class="hlongt">Pre-test of the Experiment</h1>
                </div>
                
                <div class="preamble">
                    <div class="art txt" title="Estimation">
                        <div class="longt">
                            <h2 class="hlongt">Estimated Time</h2>
                        </div>
                        <div class="art-body">
                            <p>10 minutes</p>
                        </div>
                    </div>
                    
                    <div class="art txt" title="Pre-test Instructions">
                        <div class="longt">
                            <h2 class="hlongt">Instructions for Pre-test of the Experiment</h2>
                        </div>
                        <div class="art-body">
                            <ul>
                                <li>Pretest includes
                                    questions on <strong>sorting,
                                    binary trees and
                                    logarithms.</strong>
                                </li>
                                <li>If you want to revise
                                    these topics before
                                    taking the quiz, go
                                    through the Recap module
                                    first.
                                </li>
                                <li>Read the questions in
                                    the quiz section and
                                    select the correct
                                    option from the ones
                                    provided. Please note
                                    that some
                                    <strong>questions may
                                        have more than one
                                        correct response.
                                    </strong>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>

                <div class="task" title="Recap">
                    <div class="longt">
                        <h2 class="hlongt">Quick look at
                            Sorting, Binary Trees and
                            Logarithms
                        </h2>
                    </div>

                    <div class="art txt" title="Sorting">
                        <div class="longt">
                            <h2 class="hlongt">What is Sorting?</h2>
                        </div>
                        <div class="art-body">
                            <p>Given a list of random
                                numbers, sorting means
                                <b>ordering</b> the numbers
                                in either ascending or
                                descending order.  By
                                default, we sort numbers in
                                an ascending order.
                            </p>
                        </div>
                    </div>

                    <div class="art txt" title="Binary Tree">
                        <div class="longt">
                            <h2 class="hlongt">What is Binary Tree?</h2>
                        </div>
                        <div class="art-body">
                            <p>Trees are hierarchical data structures.</p>
                            <ul>
                                <li>The topmost node is
                                    called root of the tree.</li>
                                <li>The elements that
                                    are directly under an
                                    element are called its
                                    children.</li>
                                <li>The element directly
                                    above something is
                                    called its parent. </li>
                                <li>In a binary tree, a
                                    given node can have at
                                    maximum 2 children. </li>
                                <li>Leaf nodes are those
                                    having no children. </li>
                            </ul>
                        </div>
                    </div>
                </div>
                
                <div class="quiz" title="Pre-test Quiz">
                    <div class="longt">
                        <h2 class="hlongt">A Quiz with Multiple Choice Questions</h2>
                    </div>
                    <div class="preamble">
                        <div class="art txt" title="Overview">
                            <div class="longt">
                                <h2 class="hlongt">Overview of Pre-test</h2>
                            </div>
                            <div class="art-body">
                                <p>This is a demonstration
                                    of multiple choice quiz.
                                    There are few questions
                                    on a given topic, please
                                    answer them.
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="mcq">  
                        <div class="preamble">
                            <div class="art txt" title="question1">
                                <div class="art-body">
                                    <p>Q1. Sample question 1</p>
                                </div>
                            </div>
                        </div>
                        <div class="choice" data-correct="true">
                            <div class="preamble">
                                <div class="art txt" title="q1-c1">
                                    <div class="art-body">
                                        <p>Choice 1</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="choice" data-correct="false">
                            <div class="preamble">
                                <div class="art txt" title="q1-c2">
                                    <div class="art-body">
                                        <p>Choice 2</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="choice" data-correct="false">
                            <div class="preamble">
                                <div class="art txt" title="q1-c2">
                                    <div class="art-body"><p>Choice 3</p> </div>
                                </div>
                            </div>
                        </div>
                        <div class="explanation">
                            <div class="art txt" title="Explanation">
                                <div class="art-body">
                                    <p>Explanation of question 1 for the
                                        right answer.
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="mcq">  
                        <div class="preamble">
                            <div class="art txt" title="question2">
                                <div class="art-body">
                                    <p>Q2. Sample question 2</p>
                                </div>
                            </div>
                        </div>
                        <div class="choice" data-correct="true">
                            <div class="preamble">
                                <div class="art txt" title="q2-c1">
                                    <div class="art-body">
                                        <p>Choice 1</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="choice" data-correct="false">
                            <div class="preamble">
                                <div class="art txt" title="q2-c2">
                                    <div class="art-body">
                                        <p>Choice 2</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="choice" data-correct="false">
                            <div class="preamble">
                                <div class="art txt" title="q2-c3">
                                    <div class="art-body">
                                        <p>Choice 3</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="explanation">
                            <div class="art txt" title="Explanation">
                                <div class="art-body">
                                    <p>Explanation of question 2 for the
                                        right answer.
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="lu" title="Concepts Overview">
		<div class="longt">
		    <h1 class="hlongt">Overview of the Experiment Concepts</h1>
		</div>

                <div class="preamble">
                    <div class="art txt" title="Estimation">
                        <div class="longt">
                            <h2 class="hlongt">Estimated Time</h2>
                        </div>
                        <div class="art-body">
                            <p>1 hour</p>
                        </div>
                    </div>
                </div>

		<div class="task" title="Videos">
         	    <div class="longt">
           	        <h2 class="hlongt" >Video Lectures of the Experiment Concepts</h2>
         	    </div>
                    <div class="art txt" title="Video Lectures Intro">
           	        <div class="longt">
            	            <h2 class="hlongt">Introduction to Video Lectures of the Experiment Concepts</h2>
           	        </div>
                        <div class="art-body">
           	            <p>This module gives a basic
           	                understanding of heapsort
           	                experiment concepts through
           	                video lectures.
                            </p>
                        </div>
         	    </div>

                    <div class="art video" title="Insert Heap Lecture">
           	        <div class="longt">
            	            <h2 class="hlongt">Video
            	                Lecture on Inserting
            	                Elements into Max Heap
            	                (Inline MP4 video)
                            </h2>
           	        </div>
                        <div class="art-body">
                            <video src="/build/code/static/videos/InsertionIntoMax.mp4" ></video>
                        </div>
         	    </div>

                    <div class="art req" title="Extract Max Lecture">
           	        <div class="longt">
            	            <h2 class="hlongt">Video Lecture
            	                on Extract Max Operation
            	                (Requirement artefact- mp4
            	                video)
                            </h2>
           	        </div>
                        <div class="description">
                            <p>Video lecture on extract max
                                operation should be shown
                                here..!
                            </p>
                        </div>
         	    </div>
                </div>

                <div class="task" title="Pictures">
         	    <div class="longt">
           	        <h2 class="hlongt" >Pictorial Representations of the Experiment Concepts</h2>
         	    </div>

                    <div class="art txt" title="Pictorial Representation Intro">
           	        <div class="longt">
            	            <h2 class="hlongt">Introduction to Pictorial Representations of the Experiment Concepts</h2>
           	        </div>
                        <div class="art-body">
           	            <p>This module gives a basic
           	                understanding of heapsort
           	                experiment concepts through
           	                pictorial representations.
                            </p>
                        </div>
         	    </div>

                    <div class="art req" title="Insert Heap Picture">
           	        <div class="longt">
            	            <h2 class="hlongt">Insert Heap
            	                Pictorial Representation
            	                (Requirement artefact)
                            </h2>
           	        </div>
                        <div class="description">
                            <p>Pictorial representation of
                                insert heap should be shown
                                here..!
                            </p>                            
                        </div>
         	    </div>
                </div>

                <div class="task" title="Demo">
         	    <div class="longt">
           	        <h2 class="hlongt" >Heap Sort Demonstration</h2>
         	    </div>
                    <div class="art req" title="Insert Max Heap Demo">
           	        <div class="longt">
            	            <h2 class="hlongt">Insert Max
            	                Heap Demonstration
            	                (Requirement artefact)
                            </h2>
           	        </div>
                        <div class="description">
                            <p>Demonstration of Insert Max
                                Heap should be displayed here..!
                            </p>                            
                        </div>
         	    </div>
                </div>
            </div>
        </div>
        <script type="text/javascript" src="js/loader.js"></script>
    </body>
</html>

